class_name Npc

extends StaticBody2D

@onready var sprite_2d := $Sprite2D

@onready var animation := $AnimationPlayer

var rel_dist: float = 0.0

var flip_h:
	set(value):
		sprite_2d.flip_h = value
	get():
		return sprite_2d.flip_h
# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
